      subroutine suppnum(aa)
      IMPLICIT REAL*8(A-H,O-X,Z),logical*1(y)
      character(*) aa
      l=len_trim(aa)
      do k=l,1,-1
         if(ichar(aa(k:k))<58.and.ichar(aa(k:k))>47) then
            aa(k:k)=' '
         else
            return
         endif
      enddo
      return
      end
